---
obj: application
repo: https://github.com/ahamlinman/xt
rev: 2025-01-30
---

# xt
xt is a cross-format translator for JSON, MessagePack, TOML, and YAML.

## Usage
Usage: `xt [-f format] [-t format] [file ...]`

| Option | Description |
|---|---|
| `-f format` | Skip detection and convert every input from the given format |
| `-t format` | Convert to the given format (default: `json`) |

## Formats
- `json`, `j`:
- `msgpack`, `m`
- `toml`, `t`
- `yaml`, `y`
